Subject: bug#51612: closed (Re: bug#51612: 27.2; M-n to auto-complete file path)

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 17 Jul 2025 09:36:02 +0000

Your bug report

#51612: 27.2; MS-Windows: M-n to auto-complete file path

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
51612: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=51612
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#51612: 27.2; M-n to auto-complete file path
From: Eli Zaretskii <[email-masked]>
To: Dani Moncayo <[email-masked]>
Cc: [email-masked]
Date: Thu, 17 Jul 2025 12:34:44 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

> From: Dani Moncayo <[email-masked]>
> Date: Thu, 17 Jul 2025 11:25:18 +0200
> Cc: [email-masked]
> 
> On Thu, Jul 17, 2025 at 11:18 AM Eli Zaretskii <[email-masked]> wrote:
> >
> > > From: Dani Moncayo <[email-masked]>
> > > Date: Thu, 17 Jul 2025 10:47:59 +0200
> > >
> > > Ping
> > >
> > > I hit this bug from time to time.  I'd be grateful if someone could
> > > look into this.
> >
> > I tried just now, both with the current emacs-30 branch and the master
> > branch, and couldn't reproduce the behavior you describe.  I _can_
> > reproduce with older Emacs versions, up to and including Emacs 29.3.
> >
> > So I guess this bug was solved in Emacs 30, and we can close it.
> 
> OK -- for the record, I've detailed below the version I'm using now
> (for which the problem does exist).
> 
> Currently I don't have another version for MS-Windows to test.

You should be able to install 30.1 or the latest pretest 30.1.90 from
the GNU FTP or alpha sites.

> That said, I guess you are right.  Let's close this ticket then and
> when I update my MS-Windows version I'll test this again.

Closing.

Subject: 27.2; M-n to auto-complete file path
From: Dani Moncayo <[email-masked]>
To: bug-gnu-emacs <[email-masked]>
Date: Fri, 5 Nov 2021 16:21:52 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

This report is specific to the MS-Windows port of Emacs.

Recipe from 'emacs -Q':
------------
1. Type in the *scratch* buffer the absolute path
   of some existing file of your system, using backslashes.
   For example: "c:\tmp\myfile".
2. Move the cursor (point) just after the ':' in the file path.
3. Type 'C-x C-f M-n' (that is, try to visit the file, by using
   the auto-completion file-path feature).
------------

The behavior I see is that the auto-completion produces just 'c:/',
instead of the expected 'c:/tmp/myfile'.

I see the expected behavior when I move the cursor to any other
position of the file path (in step 2).

In GNU Emacs 27.2 (build 1, x86_64-w64-mingw32)
 of 2021-03-26 built on CIRROCUMULUS
Repository revision: deef5efafb70f4b171265b896505b92b6eef24e6
Repository branch: HEAD
Windowing system distributor 'Microsoft Corp.', version 6.3.9600
System Description: Microsoft Windows Server 2012 R2 Standard
(v6.3.0.9600.20144)

Configured features:
XPM JPEG TIFF GIF PNG RSVG SOUND NOTIFY W32NOTIFY ACL GNUTLS LIBXML2
HARFBUZZ ZLIB TOOLKIT_SCROLL_BARS MODULES THREADS JSON PDUMPER LCMS2 GMP

Important settings:
  value of $LANG: ESN
  locale-coding-system: cp1252

--
Dani Moncayo